///////////////////////////////////////////////////////////////////////////
//  File        :   WebIQOptInScript.js
//
//  Purpose     :   This file contains all of the necessary functionality
//                  to conditionally afford the current HTTP request the
//                  opportunity to opt-in to the WebIQ feedback process.
//
//                  The Opt-In Script can be referenced by using the
//                  following HTML snippet, which can be placed in either the
//                  <head> or <body> elements:
//
//                      <script id="WebIQOptIn.v2" type="text/javascript" language="JavaScript" src="WebIQOptIn.js"></script>
//
//                  Of importance is the value of the <script> element's "id"
//                  attribute - it should never be omitted or changed.
//
//                  If the <script> element is included in the <body>
//                  element, the Opt-In Process can be expedited by
//                  additionally including the following HTML immediately
//                  before the <script> element:
//
//                      <div id="DialogContainer" style="display:none"></div>
//                      <iframe id="DialogContainer.Shadow" style="display:none"></iframe>
//
//                  If one or both of those elements are omitted, the Opt-In
//                  Process will delay until the page completely loads.
//
//                  NOTE:  This entire documentation block can be deleted
//                  prior to deployment in order to reduce the file's size.
//
//  History     :   09.18.2007      USC                     Created
///////////////////////////////////////////////////////////////////////////
var m_disableWebIQ = false;
var m_baseUrl = "http://webiq005.webiqonline.com/WebIQ/DataServer/Pub/";
var m_optInVersion;var m_authParams = new Object();var m_debug = 0;function OptInMain(){if (!m_disableWebIQ){CreateImage("WebIQAuthCookieImage",m_baseUrl + "DataServer.dll?Handler=CreateAuthCookie",OnAuthCookieCreated);}}function OnAuthCookieCreated(){var imgSrc;var params;RemoveImage("WebIQAuthCookieImage");imgSrc = m_baseUrl;AddParameter("Handler", "AuthorizeOptInRequest");AddParameter("pid", "{6d190266-fea8-4420-9c3e-ed4715e6900f}");AddParameter("state", "");AddParameter("ourl", window.document.URL);AddParameter("olt", GetOverrideLanguageTags());AddParameter("oiv", 1);AddParameter("seq", new Date().valueOf());params = new Array();for (name in m_authParams){params[params.length] = name + "=" + m_authParams[name];}if (params.length > 0){imgSrc += "DataServer.dll?" + params.join("&");}CreateImage("WebIQAuthorizationImage",imgSrc,OnAuthImageLoaded);}function OnAuthImageLoaded(eventObject){var imgElem;var imageWidth;imgElem = null;imageWidth = 0;if (window.event != null){imgElem = window.event.srcElement;}else if (eventObject != null&&eventObject.currentTarget != null){imgElem = eventObject.currentTarget;}if (imgElem != null&&imgElem.width != null){imageWidth = imgElem.width;}RemoveImage("WebIQAuthorizationImage");switch (imageWidth){case 1:OnAuthorizationGranted();break;case 2:OnProjectUnavailable();break;case 3:OnBrowserPlatformNotSupported();break;case 5:OnRepeatParticipation();break;case 6:OnThirdPartyCookiesNotSupported();break;case 4:default:OnAuthorizationDenied();break;}}function OnAuthorizationGranted(){var link;var userAgent;var isIE;userAgent = navigator.userAgent.toLowerCase();isIE = (userAgent.indexOf("opera") == -1 && userAgent.indexOf("msie") >= 0);link = document.createElement("link");if (isIE){AddEventHandler(link,"load",ShowOptInDialog);}link.rel = "stylesheet";link.type = "text/css";link.href = "http://webiq005.webiqonline.com/WebIQ/DataServer/Pub/DataServer.dll?Handler=GetStyleDocument&SDDID={FD488C46-9DE1-4B8A-888A-3D183BAADFF6}";document.getElementsByTagName("head")[0].appendChild(link);if (!isIE){ShowOptInDialog();}}function ShowOptInDialog(){var optInUI;var optInUIShadow;var addOptInUI2DOM;var addOptInUIShadow2DOM;optInUI = null;optInUIShadow = null;addOptInUI2DOM = false;addOptInUIShadow2DOM = false;if (2 == m_optInVersion){optInUI = document.getElementById("DialogContainer");optInUIShadow = document.getElementById("DialogContainer.Shadow");}if (null == optInUI){optInUI = document.createElement("div");optInUI.id = "DialogContainer";addOptInUI2DOM = true;}if (null == optInUIShadow){optInUIShadow = document.createElement("iframe");optInUIShadow.id = "DialogContainer.Shadow";addOptInUIShadow2DOM = true;}optInUI.Show = function(){var dialog;var dialogShadow;if ((dialog = document.getElementById("DialogContainer")) != null&&(dialogShadow = document.getElementById("DialogContainer.Shadow")) != null){dialog.style.display = "block";dialog.style.visibility = "visible";dialogShadow.style.display = "block";dialogShadow.style.visibility = "visible";}else{m_debug = 1;}};optInUI.Hide = function(){var dialog;var dialogShadow;if ((dialog = document.getElementById("DialogContainer")) != null&&(dialogShadow = document.getElementById("DialogContainer.Shadow")) != null){dialog.style.display = "none";dialog.style.visibility = "hidden";dialogShadow.style.display = "none";dialogShadow.style.visibility = "hidden";}else{m_debug = 2;}};optInUI.style.display = "none";optInUI.style.visibility = "hidden";optInUI.style.position = "absolute";optInUI.style.zIndex = 2147483647;optInUI.style.border = "1px solid #000000";optInUI.style.margin = "0px";optInUI.style.padding = "0px";optInUI.style.width = 600;optInUI.style.height = 400;optInUI.style.left = ((document.body.clientWidth - 600) / 2);optInUI.style.top = document.body.scrollTop + 50;optInUI.innerHTML = unescape("%3c%64%69%76%20%63%6c%61%73%73%3d%22%48%65%61%64%65%72%52%65%67%69%6f%6e%22%3e%0d%0a%3c%64%69%76%20%63%6c%61%73%73%3d%22%48%65%61%64%65%72%49%6d%61%67%65%22%3e%3c%69%6d%67%20%73%72%63%3d%22%68%74%74%70%3a%2f%2f%77%65%62%69%71%30%30%35%2e%77%65%62%69%71%6f%6e%6c%69%6e%65%2e%63%6f%6d%2f%57%65%62%49%51%2f%44%61%74%61%53%65%72%76%65%72%2f%50%75%62%2f%44%61%74%61%53%65%72%76%65%72%2e%64%6c%6c%3f%48%61%6e%64%6c%65%72%3d%47%65%74%49%6d%61%67%65%26%61%6d%70%3b%69%64%69%64%3d%7b%30%33%41%37%34%34%39%43%2d%38%31%32%43%2d%34%37%43%35%2d%39%37%35%35%2d%38%46%39%41%36%30%31%43%31%45%33%41%7d%22%20%63%6c%61%73%73%3d%22%22%3e%3c%2f%64%69%76%3e%0d%0a%3c%64%69%76%20%63%6c%61%73%73%3d%22%48%65%61%64%65%72%54%65%78%74%22%3e%4f%70%74%2d%49%6e%3c%2f%64%69%76%3e%0d%0a%3c%64%69%76%20%63%6c%61%73%73%3d%22%73%70%61%63%65%72%22%3e%3c%2f%64%69%76%3e%0d%0a%3c%2f%64%69%76%3e%0d%0a%3c%66%6f%72%6d%20%69%64%3d%22%68%74%6d%6c%66%6f%72%6d%22%3e%0d%0a%3c%64%69%76%20%63%6c%61%73%73%3d%22%51%75%65%73%74%69%6f%6e%47%72%6f%75%70%22%20%73%74%79%6c%65%3d%22%6d%61%72%67%69%6e%2d%6c%65%66%74%3a%31%35%70%78%3b%6d%61%72%67%69%6e%2d%72%69%67%68%74%3a%31%35%70%78%3b%22%3e%0d%0a%3c%74%61%62%6c%65%20%63%6c%61%73%73%3d%22%51%75%65%73%74%69%6f%6e%54%61%62%6c%65%22%20%63%65%6c%6c%70%61%64%64%69%6e%67%3d%22%30%22%20%63%65%6c%6c%73%70%61%63%69%6e%67%3d%22%30%22%3e%3c%74%72%20%63%6c%61%73%73%3d%22%51%75%65%73%74%69%6f%6e%54%61%62%6c%65%22%3e%3c%74%64%20%69%64%3d%22%51%30%22%20%77%69%64%74%68%3d%22%31%30%30%25%22%20%63%6c%61%73%73%3d%22%20%4f%70%74%49%6e%53%74%61%74%65%6d%65%6e%74%22%3e%0d%0a%3c%64%69%76%20%63%6c%61%73%73%3d%22%51%75%65%73%74%69%6f%6e%43%65%6c%6c%22%3e%0d%0a%3c%64%69%76%20%63%6c%61%73%73%3d%22%51%75%65%73%74%69%6f%6e%48%65%61%64%65%72%22%3e%0d%0a%3c%64%69%76%20%63%6c%61%73%73%3d%22%51%75%65%73%74%69%6f%6e%54%65%78%74%42%6c%6f%63%6b%22%3e%3c%73%70%61%6e%20%63%6c%61%73%73%3d%22%51%75%65%73%74%69%6f%6e%54%65%78%74%22%3e%3c%70%3e%50%6c%65%61%73%65%20%68%65%6c%70%20%75%73%20%74%6f%20%69%6d%70%72%6f%76%65%20%6f%75%72%20%73%69%74%65%2e%3c%2f%70%3e%0d%0a%3c%70%3e%57%65%20%77%6f%75%6c%64%20%6c%69%6b%65%20%74%6f%20%61%73%6b%20%79%6f%75%20%61%20%66%65%77%20%62%72%69%65%66%20%71%75%65%73%74%69%6f%6e%73%20%64%75%72%69%6e%67%20%79%6f%75%72%20%76%69%73%69%74%20%74%68%61%74%20%77%69%6c%6c%20%68%65%6c%70%20%75%73%20%69%6d%70%72%6f%76%65%20%6f%75%72%20%77%65%62%73%69%74%65%73%20%66%6f%72%20%79%6f%75%2e%20%20%41%6e%73%77%65%72%69%6e%67%20%74%68%65%20%71%75%65%73%74%69%6f%6e%73%20%77%69%6c%6c%20%74%61%6b%65%20%6f%6e%6c%79%20%61%20%6d%69%6e%75%74%65%20%6f%72%20%74%77%6f%2c%20%61%6e%64%20%79%6f%75%20%63%61%6e%20%71%75%69%74%20%61%74%20%61%6e%79%20%74%69%6d%65%2e%20%41%6c%6c%20%69%6e%66%6f%72%6d%61%74%69%6f%6e%20%74%68%61%74%20%79%6f%75%20%70%72%6f%76%69%64%65%20%77%69%6c%6c%20%72%65%6d%61%69%6e%20%73%74%72%69%63%74%6c%79%20%63%6f%6e%66%69%64%65%6e%74%69%61%6c%20%61%6e%64%20%61%6e%6f%6e%79%6d%6f%75%73%2e%3c%2f%70%3e%0d%0a%3c%70%3e%54%6f%20%70%61%72%74%69%63%69%70%61%74%65%2c%20%63%6c%69%63%6b%20%27%43%6f%6e%74%69%6e%75%65%27%20%62%65%6c%6f%77%2e%3c%2f%70%3e%3c%2f%73%70%61%6e%3e%26%6e%62%73%70%3b%3c%2f%64%69%76%3e%0d%0a%3c%2f%64%69%76%3e%0d%0a%3c%64%69%76%20%63%6c%61%73%73%3d%22%43%68%6f%69%63%65%47%72%6f%75%70%43%65%6c%6c%22%3e%0d%0a%3c%2f%64%69%76%3e%0d%0a%3c%2f%64%69%76%3e%0d%0a%3c%2f%74%64%3e%3c%2f%74%72%3e%3c%2f%74%61%62%6c%65%3e%0d%0a%3c%2f%64%69%76%3e%0d%0a%3c%2f%66%6f%72%6d%3e%0d%0a%3c%64%69%76%20%63%6c%61%73%73%3d%22%42%75%74%74%6f%6e%43%6f%6e%74%61%69%6e%65%72%22%3e%3c%62%75%74%74%6f%6e%20%63%6c%61%73%73%3d%22%22%20%6f%6e%63%6c%69%63%6b%3d%22%4f%6e%4f%70%74%49%6e%41%63%63%65%70%74%65%64%28%29%3b%22%3e%43%6f%6e%74%69%6e%75%65%3c%2f%62%75%74%74%6f%6e%3e%3c%62%75%74%74%6f%6e%20%63%6c%61%73%73%3d%22%22%20%6f%6e%63%6c%69%63%6b%3d%22%4f%6e%4f%70%74%49%6e%44%65%63%6c%69%6e%65%64%28%29%3b%22%3e%4e%6f%20%54%68%61%6e%6b%73%3c%2f%62%75%74%74%6f%6e%3e%3c%2f%64%69%76%3e%3c%64%69%76%20%63%6c%61%73%73%3d%22%48%79%70%65%72%6c%69%6e%6b%43%6f%6e%74%61%69%6e%65%72%22%3e%3c%61%20%69%64%3d%22%50%72%69%76%61%63%79%50%6f%6c%69%63%79%4c%69%6e%6b%22%20%68%72%65%66%3d%22%68%74%74%70%3a%2f%2f%77%77%77%2e%75%73%61%62%69%6c%69%74%79%73%63%69%65%6e%63%65%73%2e%63%6f%6d%2f%63%6f%72%70%2f%70%72%69%76%61%63%79%5f%70%6f%6c%69%63%79%2e%68%74%6d%6c%23%77%65%62%69%71%22%20%74%61%72%67%65%74%3d%22%5f%62%6c%61%6e%6b%22%20%63%6c%61%73%73%3d%22%22%3e%55%53%43%20%50%72%69%76%61%63%79%20%53%74%61%74%65%6d%65%6e%74%3c%2f%61%3e%3c%61%20%69%64%3d%22%43%6f%70%79%72%69%67%68%74%4c%69%6e%6b%22%20%68%72%65%66%3d%22%68%74%74%70%3a%2f%2f%77%77%77%2e%74%69%2e%63%6f%6d%2f%63%6f%72%70%2f%64%6f%63%73%2f%6c%65%67%61%6c%2f%70%72%69%76%61%63%79%2e%68%74%6d%22%20%74%61%72%67%65%74%3d%22%5f%62%6c%61%6e%6b%22%20%63%6c%61%73%73%3d%22%22%3e%54%49%20%50%72%69%76%61%63%79%20%53%74%61%74%65%6d%65%6e%74%3c%2f%61%3e%3c%61%20%69%64%3d%22%53%75%70%70%6f%72%74%4c%69%6e%6b%22%20%68%72%65%66%3d%22%6a%61%76%61%73%63%72%69%70%74%3a%76%6f%69%64%28%77%69%6e%64%6f%77%2e%6f%70%65%6e%28%27%68%74%74%70%3a%2f%2f%77%77%77%2e%77%65%62%69%71%6f%6e%6c%69%6e%65%2e%63%6f%6d%2f%73%75%70%70%6f%72%74%2e%61%73%70%3f%70%69%64%3d%74%69%65%64%75%63%61%74%69%6f%6e%26%61%6d%70%3b%64%3d%27%2b%28%74%79%70%65%6f%66%28%6d%5f%64%65%62%75%67%29%21%3d%27%75%6e%64%65%66%69%6e%65%64%27%3f%6d%5f%64%65%62%75%67%3a%2d%31%29%2c%6e%75%6c%6c%2c%20%27%74%6f%70%3d%31%30%30%2c%6c%65%66%74%3d%31%30%30%2c%68%65%69%67%68%74%3d%34%38%30%2c%77%69%64%74%68%3d%35%30%30%2c%73%74%61%74%75%73%3d%79%65%73%2c%74%6f%6f%6c%62%61%72%3d%6e%6f%2c%6d%65%6e%75%62%61%72%3d%6e%6f%2c%6c%6f%63%61%74%69%6f%6e%3d%6e%6f%27%29%29%22%20%74%61%72%67%65%74%3d%22%22%20%63%6c%61%73%73%3d%22%22%3e%48%61%76%69%6e%67%20%54%72%6f%75%62%6c%65%3f%3c%2f%61%3e%3c%2f%64%69%76%3e%3c%64%69%76%20%63%6c%61%73%73%3d%22%46%6f%6f%74%65%72%54%65%78%74%22%3e%55%73%61%62%69%6c%69%74%79%20%53%63%69%65%6e%63%65%73%20%69%73%20%61%20%73%75%72%76%65%79%20%76%65%6e%64%6f%72%20%66%6f%72%20%54%65%78%61%73%20%49%6e%73%74%72%75%6d%65%6e%74%73%2e%3c%2f%64%69%76%3e%0d%0a");optInUIShadow.style.display = optInUI.style.display;optInUIShadow.style.visibility = optInUI.style.visibility;optInUIShadow.style.position = optInUI.style.position;optInUIShadow.style.zIndex = optInUI.style.zIndex - 1;optInUIShadow.style.width = optInUI.style.width;optInUIShadow.style.height = optInUI.style.height;optInUIShadow.style.left = optInUI.style.left;optInUIShadow.style.top = optInUI.style.top;if (addOptInUIShadow2DOM){document.body.appendChild(optInUIShadow);}if (addOptInUI2DOM){document.body.appendChild(optInUI);}AddEventHandler(optInUI,"propertychange",OnOptInDisplayed);optInUI.Show();}function OnAuthorizationDenied(){}function OnProjectUnavailable(){}function OnBrowserPlatformNotSupported(){}function OnRepeatParticipation(){}function OnThirdPartyCookiesNotSupported(){}function OnOptInDisplayed(){var dialog;if (event.propertyName.toLowerCase() == "style.display"&&(dialog = document.getElementById("DialogContainer")) != null&&dialog.style.display == "block"){RemoveEventHandler(dialog,"propertychange",OnOptInDisplayed);CreateImage("OptInDisplayImage",m_baseUrl + "DataServer.dll?Handler=RecordOptInEvent&et=2&seq=" + new Date().valueOf(),OnOptInDisplayProcessed);}else{m_debug = 3;}}function OnOptInDisplayProcessed(){RemoveImage("OptInDisplayImage");}function OnOptInAccepted(){var sequenceNumber;sequenceNumber = new Date().valueOf();var dialog;if ((dialog = document.getElementById("DialogContainer")) != null){if (dialog.Hide != null){dialog.Hide();}else{m_debug = 4;}}else{m_debug = 5;}CreateImage("OptInAcceptedImage",m_baseUrl + "DataServer.dll?Handler=RecordOptInEvent&et=3&seq=" + sequenceNumber.toString(),OnAcceptedOptInProcessed);}function OnAcceptedOptInProcessed(){RemoveImage("OptInAcceptedImage");OpenStartWindow(new Date().valueOf());}function OnOptInDeclined(){var dialog;if ((dialog = document.getElementById("DialogContainer")) != null){if (dialog.Hide != null){dialog.Hide();}else{m_debug = 6;}}else{m_debug = 7;}CreateImage("OptInDeclinedImage",m_baseUrl + "DataServer.dll?Handler=RecordOptInEvent&et=4&seq=" + new Date().valueOf(),OnDeclinedOptInProcessed);}function OnDeclinedOptInProcessed(){RemoveImage("OptInDeclinedImage");}function OpenStartWindow(sequenceNumber){var url;url = m_baseUrl + "SelectSegment.srf?seq=" + sequenceNumber.toString() + "&";if (window.screen != null){url += "sw=" + window.screen.width + "&sh=" + window.screen.height;}else{url += "sw=0&sh=0";}url += "&bl=";if (window.navigator != null){if (window.navigator.systemLanguage != null){url += window.navigator.systemLanguage;}else if (window.navigator.language != null){url += window.navigator.language;}else{url += "unknown";}}else{url += "unknown";}window.top.location = url;}function AddEventHandler(elem,eventName,handler){if (elem.attachEvent != null){elem.attachEvent("on" + eventName,handler);}else if (elem.addEventListener != null){elem.addEventListener(eventName,handler,false);}}function RemoveEventHandler(elem,eventName,handler){if (elem.detachEvent != null){elem.detachEvent("on" + eventName,handler);}else if (elem.removeEventListener != null){elem.removeEventListener(eventName,handler,false);}}function CreateImage(imageID,imageSrc,onLoadHandler){var image;image = document.createElement("img");image.id = imageID;if (image.onreadystatechange != null){image.onreadystatechange = function(eventObject){if (this.readyState == "complete"){onLoadHandler(eventObject);}};}else{image.onload = onLoadHandler;image.onerror = onLoadHandler;}document.body.appendChild(image);image.src = imageSrc;}function RemoveImage(imageID){var image;if ((image = document.getElementById(imageID)) != null){document.body.removeChild(image);}else{m_debug = 8;}}function AddParameter(name,value){if (typeof(name) == "string"&&name.length > 0&&value != null&&value.toString != null&&(value = value.toString()).length > 0){name = escape(name);value = escape(value);for (existingName in m_authParams){if (existingName.toLowerCase() == name.toLowerCase()){return;}}m_authParams[name] = value;}}function GetOverrideLanguageTags(){var tag;var url;var oltStart;tag = "";url = document.URL.toUpperCase();if ((oltStart = url.indexOf("OLT=")) != -1){var oltFinish;oltStart += 4;oltFinish = url.indexOf("&", oltStart);try{if (oltFinish == -1){tag = url.substr(oltStart);}else{tag = url.substr(oltStart, oltFinish - oltStart);}}catch (e){tag = "";}}return tag;}if (document.URL.toLowerCase().indexOf("debugwebiq") != -1){debugger;}if (document.getElementById("WebIQOptIn.v2")){m_optInVersion = 2;}else if (document.getElementById("WebIQOptIn.v1")){m_optInVersion = 1;}else{m_optInVersion = 0;}if (!m_disableWebIQ){if (0 == m_optInVersion||(2 == m_optInVersion&&(!document.getElementById("DialogContainer")||!document.getElementById("DialogContainer.Shadow")))){AddEventHandler(window,"load",OptInMain);}else{OptInMain();}}
